PUT
/system/log-levelDynamically updates the log level
Updates the global log level for the running application instance. Important: This setting is ephemeral (non-persistent). The log level will revert to the default configuration (defined in config files or environment variables) upon application restart. This endpoint is intended for temporary debugging purposes on a live system.
The new log level configuration to apply
levelstringrequired
The severity level of the logs
200Log level successfully updated
errorstringoptional
error description if any
messagestringoptional
message, can be empty
400Bad Request
errorstringoptional
error description if any
messagestringoptional
message, can be empty
401Unauthorized
errorstringoptional
error description if any
messagestringoptional
message, can be empty
403Forbidden
errorstringoptional
error description if any
messagestringoptional
message, can be empty
500Internal Server Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
defaultUnexpected Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
Error handling
A 400 is returned: Bad Request. A 401 is returned: Unauthorized. A 403 is returned: Forbidden. A 500 is returned: Internal Server Error. Any other status is an error: Unexpected Error.